import api from '@/utils/request'

export const iGetList = params => api.post(`/admin/new-content-pop-up/page`, params)

export const iGetItem = ({ id, ...params }) => api.get(`/admin/new-content-pop-up/${id}`, params)

export const iUpdateItem = (id, params) => api.put(`/admin/new-content-pop-up/item/${id}`, params)

export const iAddItem = params => api.post(`/admin/new-content-pop-up/item`, params)

export const iDeleteRecommend = ({ id, ...params }) => api.del(`/admin/new-content-pop-up/delete/${id}`, params)

export const iDeleteRecommends = params => api.delData(`/admin/new-content-pop-up/list/delete`, params)

export const iChangeShowStatus = ({ id, ...params }) => api.post(`/admin/new-content-pop-up/item/${id}/show`, params)
